#!/usr/bin/env bash
set -e

# 1) Start ssh-agent on the socket
eval "$(ssh-agent -a "$HOME/.ssh/agent.sock")"
# 2) load key from stdin
printf '%s\n' "$SSH_KEY" | ssh-add -
unset SSH_KEY

SSH_AUTH_SOCK="$SSH_AUTH_SOCK" PODMAN_COMPOSE_WARNING_LOGS=false EDITOR=nvim CONTAINER_CONNECTION=my-remote tmux new-session -s "$1"
